> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a scoring attributes report



## OpenAPI

````yaml GET /v1/scoring_attributes/reports/{report_id}
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/scoring_attributes/reports/{report_id}:
    get:
      tags:
        - Scoring Attributes
      summary: Retrieve a scoring attributes report
      operationId: scoring-attributes-report-retrieve
      parameters:
        - name: report_id
          in: path
          description: report_id of report to return
          required: true
          schema:
            type: string
          example: 48427a36d43c4d5aa6324bc06c692456
      responses:
        '200':
          description: Report successful processed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportResponse'
        '400':
          description: Unable to process
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchReportBadRequestResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: HTTP 404 Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
components:
  schemas:
    ReportResponse:
      type: object
      properties:
        report_id:
          $ref: '#/components/schemas/ReportId'
        guid:
          $ref: '#/components/schemas/ReportId'
        refresh:
          type: boolean
          description: >-
            Indicator on whether the report was processed as a refresh report or
            not.
        lender_reference:
          $ref: '#/components/schemas/LenderReference'
        customer_identifier:
          $ref: '#/components/schemas/CustomerIdentifier'
        purpose:
          $ref: '#/components/schemas/Purpose'
        status:
          type: string
          enum:
            - success
            - failed
            - data_import_error
            - processing
          description: >
            This field indicates the report's processing status.  Valid values
            are ‘success’, ‘failed’ ‘data_import_error’ and 'processing'.  The
            first three statuses are terminal statuses.  For reports with status
            of 'processing', you will need to make a call to the GET reports
            endpoint again to retrieve the report information.
          example: success
        cutoff_date:
          $ref: '#/components/schemas/CutoffDate'
        created_at:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2} -\d+$
          description: The date/time of when the report was requested.
          example: 2022-03-16 12:56:15 -0700
        updated_at:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2} -\d+$
          description: The date/time of when the report was requested.
          example: 2022-03-16 12:56:17 -0700
        alerts:
          type: array
          description: >
            These are present when there are conditions that the lender should
            be aware of. These conditions did not prevent the completion of the
            report.
          items:
            type: object
            properties:
              alert_code:
                type: integer
                description: >-
                  Integer indicating the alert type.  See message below for
                  valid values.
                example: 1
              message:
                type: string
                description: >
                  Message describing the alert condition.  Valid values, with
                  alert codes are:

                  1 - ‘No consistent income sources present’

                  2 - ‘No consistent payment streams present’

                  3 - ‘Short transaction history’

                  4 - ‘Low transaction activity’

                  5 - ‘Unable to calculate daily balances for all accounts’

                  6 - ‘Accounts with stale ending balances are present’

                  7 - ‘Low ratio of debit activity’
                example: No consistent income sources present
        scores:
          type: array
          description: >
            These can be either generic or custom scores.  Only scores that are
            applicable to the purpose of the report will be returned.
          items:
            type: object
            properties:
              name:
                type: string
                description: The name of the model.
                example: Overdraft Risk Score
              version:
                type: number
                format: float
                description: The version of the model.
                example: 1
              value:
                type: number
                format: integer
                description: A scaled score value.
                example: 750
        metrics:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: The full name of the metric, without time period.
                example: derived_nsf_fee_amount
              time_period:
                type: string
                enum:
                  - 1m_l0
                  - 2m_l0
                  - 3m_l0
                  - 4m_l0
                  - 6m_l0
                  - 1w_l0
                  - 2w_l0
                  - 2m_l2
                  - 2m_l4
                  - 4m_l2
                  - 1m_l1
                  - 2w_l2
                  - 0m_l0
                  - 0m_l2
                  - 0m_l4
                  - lftm
                  - 2m_to_1m
                  - 3m_to_1m
                description: >
                  An abbreviation indicating the time period that the metric
                  covers.  Valid values include:

                  1m_l0 - last month

                  2m_l0 - last 2 months

                  3m_l0 - last 3 months

                  4m_l0 - last 4 months

                  6m_l0 - last 6 months

                  1w_l0 - last week

                  2w_l0 - last 2 weeks

                  2m_l2 - 2 months (lagged by 2 months)

                  2m_l4 - 2 months (lagged by 4 months)

                  4m_l2 - 4 months (lagged by 2 months)

                  1m_l1 - 1 month (lagged by 1 month)

                  2w_l2 - 2 weeks (lagged by 2 weeks)

                  0m_l0 - current snapshot

                  0m_l2 - 2 months ago snapshot

                  0m_l4 - 4 months ago snapshot

                  lftm - lifetime

                  2m_to_1m - change from 2 months ago to current month

                  3m_to_1m - change from 3 months ago to current month
                example: 2m_l0
              short_name:
                type: string
                description: >-
                  An abbreviated form of the metric name, combined with the time
                  period
                example: drvd_nsf_fee_amt_2m_l0
              unit:
                type: string
                enum:
                  - dollars
                  - percent
                  - boolean
                  - count
                description: >
                  This field indicates the measurement type for the metric. 
                  Valid units are: ‘dollars’, ‘percent’, ‘boolean’, and ‘count’.
                example: dollars
              value:
                type: number
                nullable: true
                description: >
                  The numeric value of the metric.  Can contain null values
                  (nulls are different than 0 and must be properly parsed).  If
                  the value is an amount, will be shown as a dollar value, with
                  decimals indicating the cents (e.g. 2.99).  If the value is a
                  percentage, will be shown as an integer, e.g. 5% will be shown
                  as 5.  If the value is a boolean, true will be represented as
                  1 and false will be represented as 0. Counts, such as the
                  number of consistent payments, will be shown with integers.
                example: 23.99
        derived_incomes:
          type: array
          items:
            type: object
            properties:
              description:
                type: string
                description: >
                  The normalized description for the derived income stream.  If
                  description is sensitive in nature (e.g. health information),
                  description will be returned as “REDACTED”
                example: direct deposit from xyz company
              frequency:
                type: string
                enum:
                  - monthly
                  - semi_monthly
                  - bi_weekly
                  - weekly
                description: >
                  The frequency that the income stream occurs at.  Possible
                  values are monthly, semi_monthly, bi_weekly and weekly
                example: semi_monthly
              days:
                type: array
                description: >
                  The day(s) of the week or month that the deposits recurs on. 
                  For monthly and semi-monthly frequencies, this will be the day
                  of the month, with -1 indicating the end of the month.  For
                  weekly and bi_weekly frequencies, this will be the day of the
                  week, with 1 indicating Monday and 7 indicating Sunday.
                items:
                  type: number
                  format: integer
                example:
                  - 15
                  - -1
              formatted_frequency:
                type: string
                description: The frequency combined with the recurrence days
                example: Semi-Monthly (15, eom)
              months:
                type: number
                format: integer
                description: >
                  The longest period that this income stream has been recurring,
                  from the report date. Income streams are only evaluated on
                  whole months, and only evaluated for 2, 3, 4 and 6 month
                  intervals.
                example: 3
              average_amount:
                type: number
                format: double
                description: >-
                  The average amount of each deposit in covered monthly
                  interval.
                example: 475.99
              monthly_amount:
                type: number
                format: double
                description: >
                  The projected monthly amount based on the average amount and
                  occurrence frequency.
                example: 1003.21
    FetchReportBadRequestResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - unable_to_process
                - incorrect_parameters
              example: unable_to_process
            message:
              type: string
              enum:
                - Unable to process
                - Invalid <parameter_name> parameter
                - No institutions
                - No deposit accounts
                - No deposit account transactions
                - >-
                  Invalid <parameter_name> for institution
                  <institution_identifier>
                - Invalid <parameter_name> for account <account_identifier>
                - >-
                  Invalid <parameter_name> for transaction
                  <transaction_identifier>
                - Duplicate institution <institution_identifier>
                - Duplicate account <account_identifier>
                - Duplicate transaction <transaction_identifier>
              example: Unable to process
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    NotFoundResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: not_found
              enum:
                - not_found
            message:
              type: string
              example: Not found
              enum:
                - Not found
    ReportId:
      type: string
      description: >
        This is a unique report_id generated by the scoring attributes API to
        identify a report.
    LenderReference:
      type: string
      description: >
        This is the value that can be used by the lender to identify the report
        request.  For example, this could be the loan application number.
      example: appl-1234
    CustomerIdentifier:
      type: string
      description: >
        This is a customer level unique identifier.  This key should not use
        personally identifiable information such as SSN or government ID
        numbers.
      example: cust-9999
    Purpose:
      type: string
      enum:
        - decisioning
        - verification
        - analytics
      description: >
        This field indicates the purpose of the report.  Valid values are:
        ‘decisioning’ for FCRA credit decisioning, ‘verification’ for non-FCRA
        underwriting verifications and ‘analytics’ for retroactive reports used
        solely for analytical purposes.
      example: decisioning
    CutoffDate:
      type: string
      pattern: ^\d{4}-\d{2}-\d{2}$
      description: >
        The latest date of financial activity that will be included in the
        report.  In most cases, this should be set to the current date or
        application date.  In the case of retro-scored reports, this date will
        be a date in the past.
      example: '2021-03-31'
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````